## qtcreator 4.13.2

=== debian/changelog ===
qtcreator (4.13.2-1) unstable; urgency=medium

  * New upstream release.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 02 Oct 2020 20:00:02 -0300

qtcreator (4.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 18 Sep 2020 08:06:04 +0200

qtcreator (4.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - load_clanglazy.patch: drop, clazy can be called only as external tool
  * Add the libyaml-cpp-dev build dependency to use the system yaml-cpp instead
    of the embedded copy.
  * Suggest meson for the new meson plugin.
  * Pass KSYNTAXHIGHLIGHTING_INCLUDE_DIR with the path of the includes of
    KF5SyntaxHighlighting, so they can be found on any architecture (and not
    only on Linux).
  * Install desktop and AppStream files also on non-Linux architectures;
    patch desktop_nonlinux.diff.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Aug 2020 10:00:26 +0200

qtcreator (4.12.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use the default LLVM/clang Debian versions, rather than hardcoding 8.
    Hopefully qtcreator will properly support newer LLVM versions fast enough.
    (Closes: #966007)
    - switch the libclang-8-dev build dependency to libclang-dev >= 8
    - switch the llvm-8-dev build dependency to llvm-dev >= 8
    - get the LLVM root using llvm-config
  * Switch the generic clang recommend to a dependency of the exact clang-N
    used to build (Closes: #919860, #952718) (LP: #1890434, #1877927)
    - add the clang build dependency to get the used clang executable
  * Drop the Debian man page, as it is outdated, and it offers no useful
    information.
  * Force the version of libqt5designercomponents5 as dependency to be at least
    the same as used during the build. (Closes: #966169)
  * Remove the kate-data suggest, as it does not exist anymore; syntax
    highlighting files are already provided by KF5SyntaxHighlighting.

 -- Pino Toscano <pino@debian.org>  Wed, 19 Aug 2020 19:00:23 +0200

qtcreator (4.12.3-3) unstable; urgency=medium

  * Team upload.
  * Undefine mips macro to fix FTBFS on mipsel.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 26 Jun 2020 19:39:40 +0300

qtcreator (4.12.3-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to fix perfparser build on big endian systems.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jun 2020 19:40:29 +0300

qtcreator (4.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Refresh detect_ccache_executables.patch.
  * Update debian/copyright.
  * Remove detect_ccache_executables.patch, it's present in this version.
  * Adapt load_clanglazy.patch, it hopefully still works.
  * Drop botan dependency, as now Qt Creator uses OpenSSH tools
    (Closes: #955465). Thanks Michael Weghorn for the bug report!
  * Use system liblitehtml-dev (Closes: #956341).

  [ Dmitry Shachnev ]
  * Install only qtcreator’s own docs, not also QBS docs.
  * Remove qbs-dev build-dependency, it is no longer used.
  * Add licenses for AppStream metadata to debian/copyright.
  * Remove libqt5webkit5-dev build-dependency, unused since 4.2.0.
  * Bump Qt build-dependencies to 5.11.0.

  [ Enrico Zini ]
  * Added libdw-dev build-dependency to make sure perfparser is built.
  * Further update load_clanglazy.patch for Qt Creator 4.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jun 2020 11:04:48 +0300
