=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: clang (>= 1:8~),
               debhelper-compat (= 12),
               libclang-dev (>= 1:8~),
               libdw-dev,
               libicu-dev,
               libjs-jquery,
               libkf5syntaxhighlighting-dev,
               liblitehtml-dev,
               libqt5opengl5-dev (>= 5.11.0~),
               libqt5serialport5-dev (>= 5.11.0~),
               libqt5sql5-sqlite (>= 5.11.0~),
               libqt5x11extras5-dev (>= 5.11.0~),
               libyaml-cpp-dev (>= 0.5~),
               llvm-dev (>= 1:8~),
               pkg-config,
               qml-module-qtquick-controls (>= 5.11.0~),
               qml-module-qtquick2 (>= 5.11.0~),
               qtbase5-dev (>= 5.11.0~),
               qtbase5-private-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               qtdeclarative5-private-dev (>= 5.11.0~),
               qtscript5-dev (>= 5.11.0~),
               qttools5-dev (>= 5.11.0~),
               qttools5-dev-tools (>= 5.11.0~),
               qttools5-private-dev (>= 5.11.0~),
               qtxmlpatterns5-dev-tools (>= 5.11.0~),
               zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://doc.qt.io/qt-5/topics-app-development.html
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcreator.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtcreator

Package: qtcreator
Architecture: any
Depends: libqt5sql5-sqlite,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls (>= 5.5.0~),
         qml-module-qtquick2 (>= 5.5.0~),
         qtchooser,
         qtcreator-data (= ${source:Version}),
         ${misc:Depends},
         ${qtcreator:clang},
         ${shlibs:Depends}
Recommends: clang-tidy,
            gdb,
            make,
            qmlscene,
            qt5-doc,
            qt5-qmltooling-plugins,
            qtbase5-dev-tools,
            qtcreator-doc,
            qtdeclarative5-dev-tools,
            qttools5-dev-tools,
            qttranslations5-l10n,
            qtxmlpatterns5-dev-tools,
            xterm | x-terminal-emulator
Suggests: clazy (>= 1.5), cmake, g++, git, meson, subversion, valgrind
Breaks: qtcreator-data (<< 4.5.2-2~)
Replaces: qtcreator-data (<< 4.5.2-2~)
Description: integrated development environment (IDE) for Qt
 Qt Creator is a cross-platform integrated development environment (IDE)
 designed to make development with the Qt application framework faster
 and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms
  * Qt Quick Designer

Package: qtcreator-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: application data for Qt Creator IDE
 This package contains architecture-independent data for Qt Creator IDE.

Package: qtcreator-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: qt5-doc
Description: documentation for Qt Creator IDE
 Qt Creator is a cross-platform integrated development environment (IDE)
 designed to make development with the Qt application framework faster
 and easier.
 .
 This package contains documentation for Qt Creator IDE.
