=== debian/changelog ===
qtcreator (4.14.0-lnd.3) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:10:15 +0800

qtcreator (4.14.0-lnd.2) unstable; urgency=medium

  * Fix abi recognized error for mips64 and loongarch64

 -- CaoHuixiong <caohuixiong@loongson.cn>  Thu, 13 May 2021 17:10:38 UTC

qtcreator (4.14.0-lnd.1) unstable; urgency=medium

  * Port qtcreator for loongarch.

 -- CaoHuixiong <caohuixiong@loongson.cn>  Thu, 21 Jan 2021 06:57:38 UTC

qtcreator (4.14.0-4) unstable; urgency=medium

  * Team upload.
  * Build the documentation in addition to what dh_auto_build does, not
    replacing altogether the -indep step; otherwise dh_auto_build is not
    run in -indep build, and thus not all the data files are available.

 -- Pino Toscano <pino@debian.org>  Fri, 15 Jan 2021 20:59:13 +0100

qtcreator (4.14.0-3) unstable; urgency=medium

  * Team upload.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Drop debian/README.source, as it does not provide useful information.
  * Include /usr/share/dpkg/architecture.mk instead of manually querying
    dpkg-architecture for DEB_HOST_MULTIARCH.
  * Update watch file:
    - bump to v4, no changes required
    - drop repack and compress options, as the original tarball is fine
  * Add Repository, and Repository-Browse to debian/upstream/metadata.
  * Add the configuration for the CI on salsa.
  * Backport upstream commit 86348d562214a27574ddbd65825414ae7e731438 to fix
    the paths to Clang include & library directories; patch
    upstream_cmake-build-Fix-fallback-LLVM-Clang-paths.patch. (Closes: #979577)
  * Backport upstream commit c81baf1a9cc938a283f6c52c8fd10bab84183391 to set
    installation paths using the GNUInstallDirs module of CMake; patch
    upstream_cmake-build-Use-GNUInstallDirs-for-installation-path.patch
    - remove the majority of debian_paths.diff, leaving only the change to the
      documentation path
  * Require the same version of the clang-N used for the build: this is because
    creator hardcodes the clang version and its include path, so we should not
    let an older clang than the build one be usable.
  * Backport upstream commit c650c9473db32fc2197a32017b0ef3406cf75280 to not
    install KSyntaxHighlighting files from the embedded copy; patch
    upstream_cmake-build-Don-t-install-highlighting-files-when-us.patch
    - drop their removal from rules
  * Lazy-evaluate the list of dist/changes-* (for dh_installdocs).

 -- Pino Toscano <pino@debian.org>  Fri, 15 Jan 2021 20:20:31 +0100

qtcreator (4.14.0-2) unstable; urgency=medium

  * Team upload.
  * Build qtcreator with cmake instead of qmake, as it is supported (and
    encouraged) by upstream:
    - adapt the installation paths to the Debian locations; patch
      debian_paths.diff
    - add the cmake build dependency
    - drop all the other patches related to qmake bits that are not needed
      anymore: rpath_nonlinux.diff, remove_libexec.diff,
      fix_documentation_path.diff, and desktop_nonlinux.diff
    - adapt rules:
      - force the cmake buildsystem, as dh prefers qmake when autodetecting
      - pass -DBUILD_QBS=OFF to not build the embedded copy of qbs
      - enable, build, and install the documentation only when qtcreator-doc
        is built
      - remove duplicated installed files to keep qtcreator-data.install simple
      - export QTC_BUILD_PLUGIN_HELLOWORLD=FALSE to not build the HelloWorld
        plugin (replaces the qmake variable IDE_PACKAGE_MODE=1)
    - update install files
    - create compatibility symlinks for the moved paths of the HTML docs
  * Drop all the LICENSE.LGPL symlinks we create, as those license files are
    not installed anymore.
  * Remove extra executable permissions from qmldir files.
  * Update lintian overrides.
  * Disable shlibs on the internal libraries, as it is pointless.
  * Add the libqt5svg5-dev, and libzstd-dev build dependencies for extra
    features.
  * Drop the unapplied patches always_autotect_qt_versions, and
    fix_qt_version_autodetection.diff: they were added many years ago, with
    not many details on what was the actual problem or whether it was reported
    upstream; they have not been applied for a year and we got no reports about
    them, so drop them for good.
  * Export QTC_BUILD_PLUGIN_CLANGFORMAT=FALSE to disable the build of the
    ClangFormat plugin, as it requires clang-format with a patch not accepted
    yet (Closes: #939825) (LP: #1876436); see:
    - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=939825#49
    - https://bugreports.qt.io/browse/QTCREATORBUG-22923

 -- Pino Toscano <pino@debian.org>  Wed, 23 Dec 2020 09:10:13 +0100

qtcreator (4.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 5.14.0
    - bump the LLVM/clang packages to 10
  * Update the patches:
    - remove_libexec.diff: refresh
    - fix_documentation_path.diff: refresh
    - perfparser_big_endian.patch: drop, fixed upstream
    - perfparser_undef_mips.patch: drop, fixed upstream
    - desktop_nonlinux.diff: refresh

 -- Pino Toscano <pino@debian.org>  Thu, 17 Dec 2020 22:47:49 +0100

qtcreator (4.13.3-1) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make the mime types defined in debian/Nokia-QtCreator.xml a sub class of
    text/plain. This makes other editors like KDevelop not open them in the hex
    editor. Thanks Sune Vuorela for the patch!

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 20 Nov 2020 15:35:24 +0100
