=== debian/control ===
--- 
+++ 
@@ -6,34 +6,35 @@
            Jeremy Lainé <jeremy.laine@m4x.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: clang (>= 1:8~),
-               debhelper-compat (= 12),
-               libclang-dev (>= 1:8~),
+Build-Depends: clang,
+               cmake (>= 3.10~),
+               debhelper-compat (= 11),
+               libclang-dev,
                libdw-dev,
                libicu-dev,
                libjs-jquery,
-               libkf5syntaxhighlighting-dev,
-               liblitehtml-dev,
-               libqt5opengl5-dev (>= 5.11.0~),
-               libqt5serialport5-dev (>= 5.11.0~),
-               libqt5sql5-sqlite (>= 5.11.0~),
-               libqt5x11extras5-dev (>= 5.11.0~),
+               libqt5opengl5-dev (>= 5.14.0~),
+               libqt5serialport5-dev (>= 5.14.0~),
+               libqt5sql5-sqlite (>= 5.14.0~),
+               libqt5svg5-dev (>= 5.14.0~),
+               libqt5x11extras5-dev (>= 5.14.0~),
                libyaml-cpp-dev (>= 0.5~),
-               llvm-dev (>= 1:8~),
+               libzstd-dev,
+               llvm-dev,
                pkg-config,
-               qml-module-qtquick-controls (>= 5.11.0~),
-               qml-module-qtquick2 (>= 5.11.0~),
-               qtbase5-dev (>= 5.11.0~),
-               qtbase5-private-dev (>= 5.11.0~),
-               qtdeclarative5-dev (>= 5.11.0~),
-               qtdeclarative5-private-dev (>= 5.11.0~),
-               qtscript5-dev (>= 5.11.0~),
-               qttools5-dev (>= 5.11.0~),
-               qttools5-dev-tools (>= 5.11.0~),
-               qttools5-private-dev (>= 5.11.0~),
-               qtxmlpatterns5-dev-tools (>= 5.11.0~),
+               qml-module-qtquick-controls (>= 5.14.0~),
+               qml-module-qtquick2 (>= 5.14.0~),
+               qtbase5-dev (>= 5.14.0~),
+               qtbase5-private-dev (>= 5.14.0~),
+               qtdeclarative5-dev (>= 5.14.0~),
+               qtdeclarative5-private-dev (>= 5.14.0~),
+               qtscript5-dev (>= 5.14.0~),
+               qttools5-dev (>= 5.14.0~),
+               qttools5-dev-tools (>= 5.14.0~),
+               qttools5-private-dev (>= 5.14.0~),
+               qtxmlpatterns5-dev-tools (>= 5.14.0~),
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/topics-app-development.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcreator.git
@@ -88,15 +89,15 @@
 Description: application data for Qt Creator IDE
  This package contains architecture-independent data for Qt Creator IDE.
 
-Package: qtcreator-doc
-Architecture: all
-Multi-Arch: foreign
-Section: doc
-Depends: ${misc:Depends}
-Suggests: qt5-doc
-Description: documentation for Qt Creator IDE
- Qt Creator is a cross-platform integrated development environment (IDE)
- designed to make development with the Qt application framework faster
- and easier.
- .
- This package contains documentation for Qt Creator IDE.
+#Package: qtcreator-doc
+#Architecture: all
+#Multi-Arch: foreign
+#Section: doc
+#Depends: ${misc:Depends}
+#Suggests: qt5-doc
+#Description: documentation for Qt Creator IDE
+# Qt Creator is a cross-platform integrated development environment (IDE)
+# designed to make development with the Qt application framework faster
+# and easier.
+# .
+# This package contains documentation for Qt Creator IDE.
